# Class TglBitmapCubeMap

Description | Hierarchy | Fields | Methods | Properties

## Unit

glBitmap

## Declaration

`type TglBitmapCubeMap = class(TglBitmap2D)`

## Description

wrapper class for cube maps (OpenGL target = GL_TEXTURE_CUBE_MAP)

## Hierarchy

- TObject
- TglBitmap
- TglBitmap2D
- TglBitmapCubeMap

## Overview

### Methods

| `procedure GenTexture(const aTestTextureSize: Boolean = true); reintroduce;`
| `procedure AfterConstruction; override;`
| `procedure GenerateCubeMap(const aCubeTarget: Cardinal; const aTestTextureSize: Boolean = true);`
| `procedure Bind( const aEnableTextureUnit: Boolean = true); reintroduce; virtual;`
| `procedure Unbind( const aDisableTextureUnit: Boolean = true); reintroduce; virtual;`

## Description

### Methods

| `procedure GenTexture(const aTestTextureSize: Boolean = true); reintroduce;`

generate texture (create texture object if not exist, set texture parameters and upload data do not call directly for cubemaps, use GenerateCubeMap instead

###### Parameters

aTestTextureSize
  check the size of the texture and throw exception if something is wrong

| `procedure AfterConstruction; override;`
this method is called after constructor and initializes the object

| `procedure GenerateCubeMap(const aCubeTarget: Cardinal; const aTestTextureSize: Boolean = true);`

generate texture (create texture object if not exist, set texture parameters and upload data

###### Parameters

aCubeTarget
  cube map target to upload data to (e.g. GL_TEXTURE_CUBE_MAP_POSITIVE_X)
aTestTextureSize
  check the size of the texture and throw exception if something is wrong

| `procedure Bind( const aEnableTextureUnit: Boolean = true); reintroduce; virtual;`

bind texture

###### Parameters

aEnableTexCoordsGen
  enable cube map generator
aEnableTextureUnit
  enable texture unit

| `procedure Unbind( const aDisableTextureUnit: Boolean = true); reintroduce; virtual;`

unbind texture

###### Parameters

aDisableTexCoordsGen
  disable cube map generator
aDisableTextureUnit
  disable texture unit

Generated by PasDoc 0.13.0 on 2014-12-21 15:05:48